summaryrefslogtreecommitdiff
path: root/functions/usage.sh
diff options
context:
space:
mode:
Diffstat (limited to 'functions/usage.sh')
-rwxr-xr-xfunctions/usage.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/functions/usage.sh b/functions/usage.sh
new file mode 100755
index 0000000..7f8d694
--- /dev/null
+++ b/functions/usage.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# usage.sh - handle usage information
+
+Usage ()
+{
+ echo "${PROGRAM} - ${DESCRIPTION}"
+ echo
+ echo "${USAGE}"
+ echo "Usage: ${PROGRAM} [-h|--help]"
+ echo "Usage: ${PROGRAM} [-u|--usage]"
+ echo "Usage: ${PROGRAM} [-v|--version]"
+ echo
+ echo "Try \"${PROGRAM} --help\" for more information."
+ exit 1
+}